Postgres Pro Standard 9.5.16.1: примечания к релизу

Обзор

Этот выпуск основан на PostgreSQL 9.5.16 и Postgres Pro Standard 9.5.15.1. Все усовершенствования, унаследованные от PostgreSQL 9.5.16, перечислены в Замечаниях к выпуску PostgreSQL 9.5.16.

В число ключевых усовершенствований по сравнению с Postgres Pro Standard 9.5.15.1 входят:

  • Изменён метод аутентификации по умолчанию для инсталляций в системах SUSE Linux Enterprise Server, а также Red Hat Enterprise Linux 7 и производных от них. Теперь локальные подключения используют метод peer, а сетевые — md5. За подробным описанием поддерживаемых методов аутентификации обратитесь к Разделу 19.3.

  • Интегрировано исправление, позволяющее избежать условий гонки в процессе dsm_attach() при повторном использовании указателей DSM; в ванильном PostgreSQL это исправление запланировано только в будущих выпусках. Ожидается, что в результате разрешатся проблемы, при которых сервер выдаёт следующее сообщение об ошибке: ERROR: dsa_area could not attach to segment (ОШИБКА: dsa_area не может получить доступ к сегменту).

  • Прекращена поддержка систем Альт Линукс СПТ 6.0 и Windows 7 SP1.

  • Модуль pg_pathman обновлён до версии 1.5.5. Эта версия по сравнению с 1.5.2, поставляемой в предыдущем выпуске Postgres Pro, включает следующие усовершенствования:

    • Усовершенствованы скрипты обновления pg_pathman во избежание ошибок при миграции с основной версии 1.4 на 1.5 из-за различного числа атрибутов pg_config в этих версиях.

    • Повышена стабильность pg_pathman:

      • Попытки вызова функций pg_pathman при отключённом расширении теперь не будут приводить к сбоям сервера; вместо этого будут выдаваться ошибки.

      • К одной и той же таблице могут быть применены различные стратегии секционирования.

  • Модуль pg_variables обновлён до версии 1.2. По сравнению с версией, поставляемой в предыдущем выпуске Postgres Pro, она включает следующие усовершенствования:

    • Добавлена поддержка переменных-массивов.

    • Повышена стабильность модуля.

    • Исправлено удаление пустых пакетов. Теперь пустой пакет будет удаляться только после завершения транзакции, в которой он был опустошён.

    (См. Раздел F.37.)

Миграция на версию 9.5.16.1

Процедура установки зависит от версии вашей текущей инсталляции.

Если вы использовали Postgres Pro Standard версии 9.5.3.2 или выше, достаточно установить версию 9.5.15.1 в тот же каталог. Однако если вы производите обновление с PostgreSQL 9.5.x или более низких версий Postgres Pro Standard, необходимы дополнительные изменения в каталоге, так что для завершения обновления потребуется запустить скрипт pgpro_upgrade:

  • Если вы обновляете инсталляцию, используя двоичные пакеты, и ваша база данных находится в расположении по умолчанию, скрипт pgpro_upgrade запустится автоматически, либо вам будет предложено запустить его вручную.

  • Если вы скомпилировали Postgres Pro из исходного кода или создали базу данных в нестандартном расположении, вы должны запустить скрипт pgpro_upgrade вручную.

 

Важно

Прежде чем запускать pgpro_upgrade вручную, вы должны остановить службу postgres. Этот скрипт должен запускать пользователь-владелец базы данных (обычно postgres). При попытке запустить pgpro_upgrade от имени root произойдёт ошибка. За подробностями обратитесь к описанию pgpro_upgrade.

Для перехода на эту версию с ванильной версии PostgreSQL 9.5.4 или ниже, выполните выгрузку/восстановление данных, используя pg_dumpall.